Fibo Edit
集成
模型 id
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
通过 Doitong API 调用 Fibo Edit 模型(bria/fibo-edit/edit)。智能体文档:https://doitong.com/zh/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit,可在运行前返回确切价格。
此请求: $0.04 40 API 积分 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/bria/fibo-edit/edit?wait=20
报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
关于 Fibo Edit
精细控制图像编辑。输入包括 `image_url`、可选的 `mask_url`,以及 `instruction` 或预构建的 `vgl`。也可以提供 `original_vgl` 和 `new_vgl`,根据二者差异进行编辑。`steps_num` 范围为 20 到 50(默认 30),同时支持 `guidance_scale`、`negative_prompt` 和 `seed`。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
image_url可选
image
类型url · image
以文件或 URL 形式提供的参考图像。
mask_url可选
mask
类型url · image
以图像文件或 URL 形式提供的可选蒙版。
instruction可选
类型string | null
描述图像编辑的指令。
vgl可选
类型object
`instruction` 的替代项:按原样使用的预构建 VGL 文档,作为编辑基础并跳过文档构建。两个输入互斥。
vgl.short_description可选
类型string | null
对目标输出图像的简要描述。
vgl.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
vgl.objects[].description可选
类型string | null
目标输出对象的描述。
vgl.objects[].location可选
类型string | null
对象在图像中的位置。
vgl.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
vgl.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
vgl.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
vgl.objects[].texture可选
类型string | null
对象的纹理。
vgl.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
vgl.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
vgl.objects[].pose可选
类型string | null
所描绘对象的姿势。
vgl.objects[].expression可选
类型string | null
所描绘对象的表情。
vgl.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
vgl.objects[].action可选
类型string | null
所描绘对象执行的动作。
vgl.objects[].gender可选
类型string | null
所描绘对象的性别。
vgl.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
vgl.objects[].orientation可选
类型string | null
所描绘对象的朝向。
vgl.background_setting可选
类型string | null
生成图像的背景环境。
vgl.lighting可选
类型object
生成图像的照明。
vgl.lighting.conditions可选
类型string | null
生成图像的光照条件。
vgl.lighting.direction可选
类型string | null
生成图像的光照方向。
vgl.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
vgl.aesthetics可选
类型object
生成图像的美学特征。
vgl.aesthetics.composition可选
类型string | null
生成图像的构图。
vgl.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
vgl.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
vgl.aesthetics.preference_score可选
类型string | null
正在生成图像的偏好评分。
vgl.aesthetics.aesthetic_score可选
类型string | null
正在生成图像的美学评分。
vgl.photographic_characteristics可选
类型object
生成图像的摄影属性。
vgl.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
vgl.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
vgl.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
vgl.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
vgl.style_medium可选
类型string | null
生成图像的艺术媒介。
vgl.text_render可选
类型any[]
默认值[]
要包含在图像中的文本条目列表。
vgl.context可选
类型string | null
生成图像的上下文。
vgl.artistic_style可选
类型string | null
生成图像的艺术风格。
vgl.edit_instruction可选
类型string | null
描述如何编辑图像的指令。
original_vgl可选
类型object
作为与 `new_vgl` 比较基准的当前图像 VGL;同时提供二者时,差异将决定编辑内容。
original_vgl.short_description可选
类型string | null
对目标输出图像的简要描述。
original_vgl.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
original_vgl.objects[].description可选
类型string | null
目标输出对象的描述。
original_vgl.objects[].location可选
类型string | null
对象在图像中的位置。
original_vgl.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
original_vgl.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
original_vgl.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
original_vgl.objects[].texture可选
类型string | null
对象的纹理。
original_vgl.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
original_vgl.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
original_vgl.objects[].pose可选
类型string | null
所描绘对象的姿势。
original_vgl.objects[].expression可选
类型string | null
所描绘对象的表情。
original_vgl.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
original_vgl.objects[].action可选
类型string | null
所描绘对象执行的动作。
original_vgl.objects[].gender可选
类型string | null
所描绘对象的性别。
original_vgl.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
original_vgl.objects[].orientation可选
类型string | null
所描绘对象的朝向。
original_vgl.background_setting可选
类型string | null
生成图像的背景环境。
original_vgl.lighting可选
类型object
生成图像的照明。
original_vgl.lighting.conditions可选
类型string | null
生成图像的光照条件。
original_vgl.lighting.direction可选
类型string | null
生成图像的光照方向。
original_vgl.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
original_vgl.aesthetics可选
类型object
生成图像的美学特征。
original_vgl.aesthetics.composition可选
类型string | null
生成图像的构图。
original_vgl.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
original_vgl.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
original_vgl.aesthetics.preference_score可选
类型string | null
正在生成图像的偏好评分。
original_vgl.aesthetics.aesthetic_score可选
类型string | null
正在生成图像的美学评分。
original_vgl.photographic_characteristics可选
类型object
生成图像的摄影属性。
original_vgl.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
original_vgl.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
original_vgl.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
original_vgl.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
original_vgl.style_medium可选
类型string | null
生成图像的艺术媒介。
original_vgl.text_render可选
类型any[]
默认值[]
要包含在图像中的文本条目列表。
original_vgl.context可选
类型string | null
生成图像的上下文。
original_vgl.artistic_style可选
类型string | null
生成图像的艺术风格。
original_vgl.edit_instruction可选
类型string | null
描述如何编辑图像的指令。
new_vgl可选
类型object
仅可与 `original_vgl` 搭配使用的目标状态 VGL,用于描述结果图像应呈现的样子。
new_vgl.short_description可选
类型string | null
对目标输出图像的简要描述。
new_vgl.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
new_vgl.objects[].description可选
类型string | null
目标输出对象的描述。
new_vgl.objects[].location可选
类型string | null
对象在图像中的位置。
new_vgl.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
new_vgl.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
new_vgl.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
new_vgl.objects[].texture可选
类型string | null
对象的纹理。
new_vgl.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
new_vgl.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
new_vgl.objects[].pose可选
类型string | null
所描绘对象的姿势。
new_vgl.objects[].expression可选
类型string | null
所描绘对象的表情。
new_vgl.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
new_vgl.objects[].action可选
类型string | null
所描绘对象执行的动作。
new_vgl.objects[].gender可选
类型string | null
所描绘对象的性别。
new_vgl.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
new_vgl.objects[].orientation可选
类型string | null
所描绘对象的朝向。
new_vgl.background_setting可选
类型string | null
生成图像的背景环境。
new_vgl.lighting可选
类型object
生成图像的照明。
new_vgl.lighting.conditions可选
类型string | null
生成图像的光照条件。
new_vgl.lighting.direction可选
类型string | null
生成图像的光照方向。
new_vgl.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
new_vgl.aesthetics可选
类型object
生成图像的美学特征。
new_vgl.aesthetics.composition可选
类型string | null
生成图像的构图。
new_vgl.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
new_vgl.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
new_vgl.aesthetics.preference_score可选
类型string | null
正在生成图像的偏好评分。
new_vgl.aesthetics.aesthetic_score可选
类型string | null
正在生成图像的美学评分。
new_vgl.photographic_characteristics可选
类型object
生成图像的摄影属性。
new_vgl.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
new_vgl.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
new_vgl.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
new_vgl.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
new_vgl.style_medium可选
类型string | null
生成图像的艺术媒介。
new_vgl.text_render可选
类型any[]
默认值[]
要包含在图像中的文本条目列表。
new_vgl.context可选
类型string | null
生成图像的上下文。
new_vgl.artistic_style可选
类型string | null
生成图像的艺术风格。
new_vgl.edit_instruction可选
类型string | null
描述如何编辑图像的指令。
seed可选
类型integer
默认值5555
控制随机性的种子,以获得可复现的结果。
steps_num可选
类型integer
默认值30
20 – 50
推理步骤总数。
negative_prompt可选
类型string
默认值
生成图像时使用的负面提示词。
guidance_scale可选
类型number | integer
默认值5
文本指导的强度。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- image
- object {url, content_type, file_name, file_size, width, height}模型生成的图像。
- images
- array of object {url, content_type, file_name, file_size, width, height}生成得到的图像。
- vgl
- object用于生成图像的 VGL 文档。
- structured_instruction
- object同一文档的已弃用别名;请改用 `vgl`。
其他 Fibo Edit 变体
更多模型:图像编辑
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-edit/edit.md. 所有模型和指南: https://doitong.com/developers/llms.txt






